OpenapiApiV1CraftRecipes
查询合成配方列表
Authorization
bearerAuth AuthorizationBearer <token>
需要凭证时,请使用 Bearer token。
In: header
Query Parameters
q?string
模糊查询关键词,会匹配配方、方法、机器、来源物品以及输入/输出物品 ID。
method?string
按合成方式筛选。大小写不敏感。
Value in
"MANUAL" | "MACHINE" | "FLUID_PUMP" | "MINING"input?string
按输入物品 ID 精确筛选。
output?string
按输出物品 ID 精确筛选。
machine?string
按机器 ID 或机器物品 ID 精确筛选。
page?integer
页码,小于 1 时按 1 处理。
Default
1Range
1 <= valuepageSize?integer
每页数量,服务端会限制在 1 到 maxPageSize 之间。
Default
50Range
1 <= valueResponse Body
application/json
application/json
application/json
application/json
curl -X GET "https://openapi.perlica.tech/api/v1/craft/recipes"{
"data": [
{
"recipeId": "string",
"method": "MANUAL",
"inputs": [
{
"itemId": "string",
"count": 0,
"perMinute": 0
}
],
"outputs": [
{
"itemId": "string",
"count": 0,
"perMinute": 0
}
],
"machine": {
"machineId": "string",
"machineItemId": "string",
"needPower": true,
"powerConsume": 0
},
"cycleMs": 0,
"formulaGroupId": "string",
"sourceItemId": "string",
"sortId": 0,
"inputGroups": [
[
{
"itemId": "string",
"count": 0,
"perMinute": 0
}
]
],
"outputGroups": [
[
{
"itemId": "string",
"count": 0,
"perMinute": 0
}
]
]
}
],
"page": 0,
"pageSize": 0,
"total": 0
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}{
"error": {
"code": "string",
"message": "string"
}
}